OpenNMS API 1.2.9

## org.opennms.netmgt.trapd
Class Trapd.V2TrapInformation

    java.lang.Object
      org.opennms.netmgt.trapd.Trapd.V2TrapInformation

Enclosing class:
  Trapd

static class Trapd.V2TrapInformation
extends java.lang.Object

V2 Trap information object for processing by the queue reader

Field Summary
`private java.net.InetAddress` `m_agent` The internet address of the sending agent
`private SnmpOctetString` `m_community` The community string from the actual SNMP packet
`private SnmpPduPacket` `m_pdu` The received PDU

Constructor Summary
`Trapd.V2TrapInformation(java.net.InetAddress agent, SnmpOctetString community, SnmpPduPacket pdu)` Constructs a new trap information instance that contains the sending agent, the community string, and the Protocol Data Unit.

Method Summary
`java.net.InetAddress` `getAgent()` Returns the sending agent's internet address
`SnmpOctetString` `getCommunity()` Returns the SNMP community string from the received packet.
`SnmpPduPacket` `getPdu()` Returns the Protocol Data Unit that was encapsulated within the SNMP Trap message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_pdu

    private SnmpPduPacket m_pdu

  The received PDU

### m_agent

    private java.net.InetAddress m_agent

  The internet address of the sending agent

### m_community

    private SnmpOctetString m_community

  The community string from the actual SNMP packet

Constructor Detail

### Trapd.V2TrapInformation

    public Trapd.V2TrapInformation(java.net.InetAddress agent,
                                   SnmpOctetString community,
                                   SnmpPduPacket pdu)

  Constructs a new trap information instance that contains the sending agent, the community string, and the Protocol Data Unit.

Parameters:
  `agent` - The sending agent's address
  `community` - The community string from the SNMP packet.
  `pdu` - The encapsulated Protocol Data Unit.

Method Detail

### getAgent

    public java.net.InetAddress getAgent()

  Returns the sending agent's internet address

### getPdu

    public SnmpPduPacket getPdu()

  Returns the Protocol Data Unit that was encapsulated within the SNMP Trap message

### getCommunity

    public SnmpOctetString getCommunity()

  Returns the SNMP community string from the received packet.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.